com.hazelcast.client.proxy

## Class ClientReliableMessageRunner<E>

- java.lang.Object
- - com.hazelcast.topic.impl.reliable.MessageRunner<E>
  - - com.hazelcast.client.proxy.ClientReliableMessageRunner<E>

- Type Parameters:
    `E` - message type
  All Implemented Interfaces:
    ExecutionCallback<ReadResultSet<com.hazelcast.topic.impl.reliable.ReliableTopicMessage>>

      public class ClientReliableMessageRunner<E>
      extends com.hazelcast.topic.impl.reliable.MessageRunner<E>

  Client implementation of `MessageRunner`

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.topic.impl.reliable.MessageRunner

      `listener, logger, ringbuffer, sequence, topicName`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Throwable` | `adjustThrowable(Throwable t)` Needed because client / server behaviour is different on onFailure call
    `protected long` | `getHeadSequence(StaleSequenceException staleSequenceException)`
    `protected Member` | `getMember(com.hazelcast.topic.impl.reliable.ReliableTopicMessage m)`
    `protected boolean` | `handleInternalException(Throwable t)`
    `protected void` | `updateStatistics()`

    - ### Methods inherited from class com.hazelcast.topic.impl.reliable.MessageRunner

      `cancel, isCancelled, next, onFailure, onResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### updateStatistics

          protected void updateStatistics()

      Specified by:
        `updateStatistics` in class `com.hazelcast.topic.impl.reliable.MessageRunner<E>`

    - #### getMember

          protected Member getMember(com.hazelcast.topic.impl.reliable.ReliableTopicMessage m)

      Specified by:
        `getMember` in class `com.hazelcast.topic.impl.reliable.MessageRunner<E>`

    - #### handleInternalException

          protected boolean handleInternalException(Throwable t)

      Overrides:
        `handleInternalException` in class `com.hazelcast.topic.impl.reliable.MessageRunner<E>`
      Parameters:
        `t` - throwable to check if it is terminal or can be handled so that topic can continue
      Returns:
        true if the exception was handled and the listener may continue reading

    - #### adjustThrowable

          protected Throwable adjustThrowable(Throwable t)

      Description copied from class: `com.hazelcast.topic.impl.reliable.MessageRunner`
      Needed because client / server behaviour is different on onFailure call
      Specified by:
        `adjustThrowable` in class `com.hazelcast.topic.impl.reliable.MessageRunner<E>`
      Parameters:
        `t` - throwable
      Returns:
        adjusted throwable

    - #### getHeadSequence

          protected long getHeadSequence(StaleSequenceException staleSequenceException)

      Specified by:
        `getHeadSequence` in class `com.hazelcast.topic.impl.reliable.MessageRunner<E>`

Copyright © 2019. All rights reserved.